Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content.adapter
Class TicketImpl

    java.lang.Object
      com.bea.p13n.content.adapter.TicketImpl

All Implemented Interfaces:
  Serializable, Ticket

public class TicketImpl
extends Object
implements Ticket

A new WLP Content Repository ticket to an old ContentManager

See Also:
  Serialized Form

Constructor Summary
`TicketImpl(Credentials credentials, Properties properties)`

Method Summary
`NodeOps` | `getNodeOps()` Returns a NodeOps that will service the Repository that instantiated this Ticket.
`ObjectClassOps` | `getObjectClassOps()` Returns an ObjectClassOps that will service the Repository that instantiated this Ticket.
`SearchOps` | `getSearchOps()` Returns a SearchOps that will service the Repository that instantiated this Ticket.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TicketImpl

    public TicketImpl(Credentials credentials,
                      Properties properties)

Method Detail

### getNodeOps

    public NodeOps getNodeOps()

  Description copied from interface: `Ticket`
  Returns a NodeOps that will service the Repository that instantiated this Ticket.

  Specified by:
    `getNodeOps` in interface `Ticket`

### getObjectClassOps

    public ObjectClassOps getObjectClassOps()

  Description copied from interface: `Ticket`
  Returns an ObjectClassOps that will service the Repository that instantiated this Ticket.

  Specified by:
    `getObjectClassOps` in interface `Ticket`

### getSearchOps

    public SearchOps getSearchOps()

  Description copied from interface: `Ticket`
  Returns a SearchOps that will service the Repository that instantiated this Ticket.

  Specified by:
    `getSearchOps` in interface `Ticket`

### toString

    public String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved